Plant Series by Zone

This endpoint returns a series of data, matching the requested plant series, zone, and date range. You can visualise various Enact series on Enact's dashboard page.


Using the LCPDelta Python Package

Note that this helper function is only available in LCPDelta 1.1.8 and above.

Synchronous

from lcp_delta import enact
from datetime import date

enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dataframe = enact_api_helper.get_series_by_zone(
	"Mel",
	date(2023,6,21),
	date(2023,6,23),
	"Gb",
	option_ids=["Z2"], # the desired zone string
	time_zone_id="UTC",
	parse_datetimes=True # optionally parse dates as datetimes and index by them (ascending)
)

print(response_dataframe)

Asynchronous (package version 1.3.0 and later)

from lcp_delta import enact
from datetime import date
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    # see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dataframe = await enact_api_helper.get_series_by_zone_async(
        "Mel",
        date(2023,6,21),
        date(2023,6,23),
        "Gb",
        option_ids=["Z2"],
        time_zone_id="UTC",
        parse_datetimes=True
    )

    print(response_dataframe)

asyncio.run(main())

Using the API Directly

The response object is a dictionary of data keyed by column header with lists of data values. The first key-value pair will always be the datetime values for the requested date range.

To request data for a single day, set the from and to fields in the request body equal to each other.

The response object holds all data for the requested series. The header will be of the form 'CountryId&SeriesId&OptionId'.

Body Params
string
required
Defaults to Mel

The Enact ID for the requested series. Must be a plant series.

optionId
array of strings
required
Defaults to Z2

The zone option for the series. This can only be one zone.

optionId*
string
required
Defaults to Gb

The Enact ID for the country of the requested series.

string
required
Defaults to 2023-06-21

The start of the date range being requested for.

string
required
Defaults to 2023-06-23

The end of the date range being requested for (inclusive).

boolean
Defaults to false

The returned series will be averaged into half-hourly blocks if this is set to true.

boolean
Defaults to false

Data is only returned for the specified times as well as dates if this is set to true.

string

The time zone ID of the data to be returned (UTC by default).

string

The time zone ID of the requested time range.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!